<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php
/*********************************************************************

Programa: IA4.PHP
Criado em: 05/06/2010
Autor: Gustavo Moreira

Definição:
    Esse script calcula o indicador IA4


Cálculo:
    (Benefici�rios Bolsa-Fam�lia + Inscritos no CadUnico) que frequentam Telecentros (Cultura) e CIDS /
    (Benefici�rios Bolsa-Fam�lia + inscritos no CadUnico)*100


Parâmetros de Entrada (via GET):

    ...?indicador=III&granularidade=GGG&periodo=PPP
    III = no indicador, em caixa baixa, é informado o seu código
    GGG = na granularidade, em caixa baixa e sem acentuação, é informada o nome da granularidade desejada
    PPP = no periodo, em se tratando de um indicador mensal, é informado o mês e ano, no formato MM/AAAA (exs: 01/2010, 02/2010 etc)

    Exemplo de Entrada:
    ...?indicador=as2&granularidade=cras&periodo=01/2010

                                                                                                                    
Saída:
    Formato do retorno
        CCC;III;G1;PPP;VVV
        CCC = código de retorno da chamada ao Calculador
        III = código do indicador retornado, em caixa baixa
        G1 = nome do grão retornado (string, pode estar acentuado e com letras maíusculas e minúsculas)
        PPP = período de referência do valor retornado
        VVV = valor retornado

    Exemplos de retorno:

        0;as2;CRAS;1;01/2010;13,2
        0;as2;CRAS;10;01/2010;10,2
        0;as2;CRAS Austin;11;01/2010;11


        Códigos de Retorno:

0 - Sucesso
1 - Não tenho valor
2 - Não sou eu
3 - Um ou mais Parâmetros obrigatórios faltando
4 - Um ou mais Parâmetros fora do formato esperado
5 - Granularidade invalida

*********************************************************************/

/* PARÂMETROS DE ENTRADA */
$indicador = $_GET["indicador"];
$granularidade = $_GET["granularidade"];
$periodo = $_GET["periodo"];

/* VALIDAR A ENTRADA DE DADOS */

//obrigatoriedade dos parâmetros
if (($indicador == "") || ($granularidade == "") || ($periodo == ""))
{
    echo "3";
    exit;
}

//indicador correto
if (strtoupper($indicador) != "IA4")
{
    echo "2";
    exit;
}

if (($granularidade != "município") && ($granularidade != "municipio"))
{
    echo "5";
    exit;
}

$dbh = pg_connect("host=localhost port=5432 dbname=pcni user=semge password=semge");

$sql=" SELECT ((
                 SELECT count(*)
                 FROM   pcni_bases_auxiliares.cadunico_naobenef
               )
               +
               (
                 SELECT count(*)
                 FROM pcni_bases_auxiliares.bf
               )
              ) as denominador;";
             
$result=pg_query($dbh, $sql);
if ( pg_num_rows($result) == 0 )
{
    echo "1";
    exit;
}
$row=pg_fetch_array($result);
$denominador=$row["denominador"];

$sql="SELECT(((
               SELECT count(*) FROM (SELECT DISTINCT a.nome
               FROM   cultura.usuario b, pcni_bases_auxiliares.bf a
               WHERE  a.nome like b.nomeusuario and
                      a.datanascimento = b.datanascimentousuario
             ) as foo0) +
             (
               SELECT count(*) FROM (SELECT DISTINCT a.nome
               FROM   cultura.usuario b, pcni_bases_auxiliares.cadunico_naobenef a
               WHERE  a.nome like b.nomeusuario and
                      a.datanascimento = b.datanascimentousuario
             ) as foo1)) * 100) as numerador";
            
$result=pg_query($dbh, $sql);
if ( pg_num_rows($result) == 0 )
{
    echo "1";
    exit;
}
$row=pg_fetch_array($result);
$numerador=$row["numerador"];

$qt = 0;       // nao sei para o que serve .. mas inclui
$total = 0;    // idem

$valor = round(($numerador/$denominador), 4) ;
$valor = str_replace(".",",",$valor);

//echo $numerador; echo $denominador; echo $valor;

echo "0;$indicador;Nova Iguaçu;$periodo;$valor";

pg_close($dbh);

?>






